﻿<?php

session_start();
include_once("./inc/db.php");
include_once("./inc/html.php");
include_once("./inc/player.php");
include_once("./inc/server.php");

// classes start
$player = new Player($db);
$server = new Server($db);
$html = new Html(0, $db);
include_once('./functions.php');
$html -> Start();
if(isset($_COOKIE['hof-random']) AND $_COOKIE['hof-random'] == 'no') $num_headers = 1;
  else $num_headers = 8;

echo('<div id="page">'.
  '<div id="header" style="background-image: url(imgs/web/headers/header'.rand(0, $num_headers - 1).'.jpg);"></div>'.
  '<div id="top"></div>'.
  '<div id="menu">');

$MenuItems = array(
  array('link' => '?page=main', 'Text' => 'Úvod'),
  array('link' => '?page=server', 'Text' => 'Server'),
  array('link' => '?page=register', 'Text' => 'Registrace'),
  array('link' => '?page=begin', 'Text' => 'Jak začít'),
  array('link' => 'forum/', 'Text' => 'Fórum'),
  array('link' => '?page=gmteam', 'Text' => 'GM Tým'),
  array('link' => '?page=acc', 'Text' => 'Správa účtu'),
  array('link' => 'bug_tracker/', 'Text' => 'Nahlaš Bug'),
  array('link' => '?page=download', 'Text' => 'Stahování'),
  array('link' => '?page=links', 'Text' => 'Odkazy'),
  array('link' => '?page=online', 'Text' => 'Online hráči'),
  array('link' => '#', 'Text' => 'Mapa hráčů', 'OnClick' => "popup('../mmadmin/pomm_public/pomm.php', 758, 525); return false;"),
  array('link' => '?page=guildy', 'Text' => 'Guildy'),
  array('link' => '?page=gh', 'Text' => 'Domky Guild'),
  array('link' => '?page=arena', 'Text' => 'Arény'),
  array('link' => '?page=events', 'Text' => 'Eventy'),
  array('link' => '?page=dotation', 'Text' => 'Dotace'),
  array('link' => '?page=teamspeak', 'Text' => 'Team speak'),
  array('link' => '?page=gmlog', 'Text' => 'GM log'),
  array('link' => '?page=search', 'Text' => 'Vyhledávání'),    
);

echo('<div id="mainmenu"><br /><br />');
foreach($MenuItems as $Item)
{
  if(array_key_exists('OnClick', $Item)) $OnClick = ' onclick="'.$Item['OnClick'].'"';
    else $OnClick = '';
  if(array_key_exists('Target', $Item)) $Target = ' target="'.$Item['Target'].'"';
    else $Target = '';

  echo('<a href="'.$Item['link'].'"'.$OnClick.$Target.'>'.$Item['Text'].'</a><br />');
}
echo('</div>');


echo('<div class="Banners">'.
  '<strong>Naše ikonka :</strong><br />'.
  '<a href="http://wow.zdechov.net/"><img src="imgs/web/hof_ban.png" alt="WoW Server Heroes of Fantasy" /></a><br />'.
  '<strong>Odkazy :</strong><br />'.
  '<a href="http://servery.wowresource.eu/"><img src="http://servery.wowresource.eu/templates/img/bannery/banner_maly.gif" alt="WoW Server status" /></a><br />'.
  '<a href="http://www.wowhead.com"><img src="http://www.wowhead.com/images/badge_88x31.gif" width="88" height="31" alt="" /></a><br />'.
  '<a href="http://wowpreklad.zdechov.net/"><img src="http://wowpreklad.zdechov.net/banners/baner_88_31.jpg" alt="baner_http://wowpreklad.zdechov.net/" height="31" width="88" /></a>'.
  '<strong>Statistika :</strong><br />'.
  '<a href="http://www.toplist.cz/"><img src="http://toplist.cz/count.asp?logo=mc&amp;ID=324802" width="88" height="60" alt="counter" /></a><br /><br />'.
  'Počet přístupů: <br /><a href="http://counter.cnw.cz/">'.
  '<img src="http://counter.cnw.cz/monika.cgi?wowzdechov&amp;7&amp;000000&amp;FFFFFF&amp;on" alt="CNW:Counter" /></a>'.
  '</div>'.
  '</div>'.
  '<div id="content">');

// obsah start
$include = 1;
if(isset($_GET["logout"]) AND $player->Check())
{
  echo('<center>');
  $player->Logout();
  echo('</center>');
  $include = 0;
}
if($include == 1)
{
  if(isset($_GET['page'])) include_once($html -> Pager($_GET['page'], 'pages', 'main'));
    else include_once('pages/main.php');
}
echo('</div><div id="footer"><p><br /></p><div id="copyright"><a href="?page=autori">Vývoj webu</a></div></div></div>');

$html->Stop();
$db->close();

?>
